#version 330 core
layout (location = 0) in vec3 aPos;
//layout (location = 1) in vec3 aColour;
layout (location = 2) in vec2 aTexCoord;

out vec3 ourColour;
out vec2 texCoord;

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;

//uniform mat4 transform;

void main()
{
	// note that we read the multiplication from right to left
    gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(aPos, 1.0);
	//gl_Position = transform * vec4(aPos, 1.0);
	ourColour = vec3(1.0);
	texCoord = aTexCoord;
}
