#pragma once

template<typename T>
class Property
{
public:
	Property(const T &data): data{data}{}

	T operator()() { return data; }
	void operator()(const T &d) { data = d; }
private:
	T data;
	void operator=(const Property<T>& p); // so this property can not be overwritten, since this might lead to a memory leak. Maybe this operator can be used to assign only the data (C#-like)?
};
